import { ParsingProblemSeverity, PddlRange } from "pddl-workspace";
export declare class ProblemPattern {
    regEx: RegExp;
    indexMap: number[];
    /**
     * Constructs a problem pattern
     *
     * @param patternWithMatchGroupOrder pattern in the form /pattern/flags/order,
     *  where the order part is a comma separated list of order of the capturing groups inside the pattern filename,severity,line,column,message (as a 1-based index)
     * @param fileNames names of files parsed
     */
    constructor(patternWithMatchGroupOrder: string, fileNames: string[]);
    getFilePath(match: RegExpExecArray): string;
    getSeverity(match: RegExpExecArray): ParsingProblemSeverity;
    getLine(match: RegExpExecArray): number;
    getCharacter(match: RegExpExecArray): number | undefined;
    getMessage(match: RegExpExecArray): string;
    getRange(match: RegExpExecArray): PddlRange;
    private mapIndex;
}
