"use strict";
/* --------------------------------------------------------------------------------------------
 * Copyright (c) Jan Dolejsi. All rights reserved.
 * Licensed under the MIT License. See License.txt in the project root for license information.
 * ------------------------------------------------------------------------------------------ */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.postJson = exports.getText = exports.getFile = exports.getJson = void 0;
/* eslint-disable @typescript-eslint/no-explicit-any */
const request = __importStar(require("request"));
const fs = __importStar(require("fs"));
function getJson(url) {
    return new Promise((resolve, reject) => {
        request.get(url, { json: true }, (error, httpResponse, body) => {
            if (error) {
                reject(error);
            }
            else {
                if (httpResponse && httpResponse.statusCode !== 200) {
                    reject("HTTP status code " + httpResponse.statusCode);
                }
                else {
                    resolve(body);
                }
            }
        });
    });
}
exports.getJson = getJson;
function getFile(url, localFilePath) {
    const localFile = fs.createWriteStream(localFilePath);
    return new Promise((resolve, reject) => {
        request.get(url)
            .on('response', function (response) {
            console.log("Downloading %s. Content-type: %s, Status code: %d", url, response.headers['content-type'], response.statusCode);
            if (response.statusCode >= 400) {
                reject(new Error("Downloading VAL binaries failed with HTTP status code " + response.statusCode));
            }
        })
            .on('error', function (err) {
            reject(err);
        })
            .pipe(localFile)
            .on("close", () => {
            resolve();
            localFile.close();
        });
    });
}
exports.getFile = getFile;
function getText(url) {
    return new Promise((resolve, reject) => {
        request.get(url, (error, httpResponse, body) => {
            if (error) {
                reject(error);
            }
            else {
                if (httpResponse && httpResponse.statusCode !== 200) {
                    reject("HTTP status code " + httpResponse.statusCode);
                }
                else {
                    resolve(body);
                }
            }
        });
    });
}
exports.getText = getText;
function postJson(url, content) {
    return new Promise((resolve, reject) => {
        request.post(url, { body: content, json: true }, (error, httpResponse, body) => {
            if (error) {
                reject(error);
            }
            else {
                if (httpResponse && httpResponse.statusCode > 204) {
                    reject("HTTP status code " + httpResponse.statusCode);
                }
                else {
                    resolve(body);
                }
            }
        });
    });
}
exports.postJson = postJson;
//# sourceMappingURL=httpUtils.js.map