/* --------------------------------------------------------------------------------------------
 * Copyright (c) Jan Dolejsi. All rights reserved.
 * Licensed under the MIT License. See License.txt in the project root for license information.
 * ------------------------------------------------------------------------------------------ */
'use strict';
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Util = exports.PddlFactory = void 0;
const tmp = __importStar(require("tmp-promise"));
const fs = require("fs");
class PddlFactory {
    static createEmptyDomain(name) {
        return `(define (domain ${name})
        (:requirements :strips )
        )`;
    }
    static createEmptyProblem(name, domainName) {
        return `(define (problem ${name}) (:domain ${domainName})
        (:objects 
        )
        
        (:init
        )
        
        (:goal (and
            )
        )
        )
        `;
    }
}
exports.PddlFactory = PddlFactory;
class Util {
    static toFileSync(prefix, suffix, text) {
        const tempFile = tmp.fileSync({ mode: 0o644, prefix: prefix + '-', postfix: suffix });
        fs.writeSync(tempFile.fd, text, 0, 'utf8');
        return tempFile.name;
    }
    static toFile(prefix, suffix, text) {
        return __awaiter(this, void 0, void 0, function* () {
            const tempFile = yield tmp.file({ mode: 0o644, prefix: prefix + '-', postfix: suffix });
            yield fs.promises.writeFile(tempFile.path, text, { encoding: 'utf8' });
            return tempFile.path;
        });
    }
    static toPddlFileSync(prefix, text) {
        return Util.toFileSync(prefix, '.pddl', text);
    }
    static toPddlFile(prefix, text) {
        return __awaiter(this, void 0, void 0, function* () {
            return Util.toFile(prefix, '.pddl', text);
        });
    }
}
exports.Util = Util;
//# sourceMappingURL=valUtils.js.map