import { PlanStep } from "pddl-workspace";
import { CustomVisualization } from "./CustomVisualization";
import { DomainVizConfiguration } from "./DomainVizConfiguration";
import { DomainVizConfigurationSchema } from "./DomainVizConfigurationSchema";
export declare class JsonDomainVizConfiguration implements DomainVizConfiguration {
    private readonly configuration?;
    private readonly customVisualizationScriptLoader?;
    private customVisualization?;
    private customVisualizationScript;
    constructor(configuration?: DomainVizConfigurationSchema | undefined, customVisualizationScriptLoader?: ((path: string) => string | Promise<string>) | undefined, customVisualization?: CustomVisualization | undefined);
    static withCustomVisualizationScript(configuration?: DomainVizConfigurationSchema, customDomainVisualizationScript?: string): JsonDomainVizConfiguration;
    static withCustomVisualization(configuration: DomainVizConfigurationSchema | undefined, customDomainVisualization: CustomVisualization): JsonDomainVizConfiguration;
    shouldDisplay(planStep: PlanStep): boolean;
    shouldIgnoreActionParameter(actionName: string, parameterName: string): boolean;
    private matches;
    getCustomVisualizationScriptPath(): string | undefined;
    getCustomVisualizationScript(): Promise<string | undefined>;
    getCustomVisualization(): Promise<CustomVisualization | undefined>;
}
