import { Plan, ProblemInfo, DomainInfo, parser, planner } from 'pddl-workspace';
import { PlannerService } from './PlannerService';
/** Wraps the `/request` planning web service interface. */
export declare class PlannerAsyncService extends PlannerService {
    private asyncPlannerConfiguration;
    static readonly DEFAULT_TIMEOUT = 60;
    private timeout;
    private asyncMode;
    private planTimeScale;
    constructor(plannerUrl: string, asyncPlannerConfiguration: AsyncServiceConfiguration, providerConfiguration: planner.ProviderConfiguration);
    getTimeout(): number;
    createUrl(): string;
    createRequestBody(domainFileInfo: DomainInfo, problemFileInfo: ProblemInfo): Promise<any>;
    static getPlanTimeScale(configuration: any): number;
    processServerResponseBody(responseBody: any, planParser: parser.PddlPlannerOutputParser, callbacks: planner.PlannerResponseHandler, resolve: (plans: Plan[]) => void, reject: (error: Error) => void): Promise<void>;
    parsePlan(plan: any, planParser: parser.PddlPlannerOutputParser): Promise<void>;
    static createDefaultConfiguration(timeout: number): AsyncServiceOnlyConfiguration;
}
export interface AsyncServiceOnlyConfiguration {
    planFormat: string;
    timeout?: number;
}
export interface AsyncServiceConfiguration extends planner.PlannerRunConfiguration, AsyncServiceOnlyConfiguration {
}
