import { PddlSyntaxNode } from "./parser/PddlSyntaxNode";
export declare class Constraint {
    readonly node: PddlSyntaxNode;
    constructor(node: PddlSyntaxNode);
}
export declare class Condition {
    readonly node: PddlSyntaxNode;
    constructor(node: PddlSyntaxNode);
    getText(): string;
}
export declare class ConditionalConstraint extends Constraint {
    readonly condition: Condition | undefined;
    constructor(condition: Condition | undefined, node: PddlSyntaxNode);
}
export declare class NamedConditionConstraint extends ConditionalConstraint {
    readonly name?: string;
    constructor(definition: {
        name?: string;
        condition?: Condition;
    }, node: PddlSyntaxNode);
    toString(): string;
}
export declare class AfterConstraint extends Constraint {
    readonly predecessor: NamedConditionConstraint;
    readonly successor: NamedConditionConstraint;
    constructor(predecessor: NamedConditionConstraint, successor: NamedConditionConstraint, node: PddlSyntaxNode);
}
export declare class StrictlyAfterConstraint extends AfterConstraint {
    constructor(predecessor: NamedConditionConstraint, successor: NamedConditionConstraint, node: PddlSyntaxNode);
}
