"use strict";
/* --------------------------------------------------------------------------------------------
 * Copyright (c) Jan Dolejsi 2019. All rights reserved.
 * Licensed under the MIT License. See License.txt in the project root for license information.
 * ------------------------------------------------------------------------------------------ */
Object.defineProperty(exports, "__esModule", { value: true });
exports.StrictlyAfterConstraint = exports.AfterConstraint = exports.NamedConditionConstraint = exports.ConditionalConstraint = exports.Condition = exports.Constraint = void 0;
class Constraint {
    constructor(node) {
        this.node = node;
    }
}
exports.Constraint = Constraint;
class Condition {
    constructor(node) {
        this.node = node;
    }
    getText() {
        return this.node.getNonCommentText();
    }
}
exports.Condition = Condition;
class ConditionalConstraint extends Constraint {
    constructor(condition, node) {
        super(node);
        this.condition = condition;
    }
}
exports.ConditionalConstraint = ConditionalConstraint;
class NamedConditionConstraint extends ConditionalConstraint {
    constructor(definition, node) {
        super(definition.condition, node);
        this.name = definition.name;
    }
    toString() {
        return this.node.getText();
    }
}
exports.NamedConditionConstraint = NamedConditionConstraint;
class AfterConstraint extends Constraint {
    constructor(predecessor, successor, node) {
        super(node);
        this.predecessor = predecessor;
        this.successor = successor;
    }
}
exports.AfterConstraint = AfterConstraint;
class StrictlyAfterConstraint extends AfterConstraint {
    constructor(predecessor, successor, node) {
        super(predecessor, successor, node);
    }
}
exports.StrictlyAfterConstraint = StrictlyAfterConstraint;
//# sourceMappingURL=constraints.js.map