"use strict";
/* --------------------------------------------------------------------------------------------
* Copyright (c) Jan Dolejsi. All rights reserved.
* Licensed under the MIT License. See License.txt in the project root for license information.
* ------------------------------------------------------------------------------------------ */
Object.defineProperty(exports, "__esModule", { value: true });
exports.HappeningsParser = void 0;
const HappeningsInfo_1 = require("../HappeningsInfo");
const PlanHappeningsBuilder_1 = require("./PlanHappeningsBuilder");
const PddlPlanParser_1 = require("./PddlPlanParser");
class HappeningsParser {
    parseHappenings(fileUri, fileVersion, fileText, epsilon, positionResolver) {
        const meta = PddlPlanParser_1.PddlPlanParser.parsePlanMeta(fileText);
        const happeningsInfo = new HappeningsInfo_1.HappeningsInfo(fileUri, fileVersion, meta.problemName, meta.domainName, fileText, positionResolver);
        const planBuilder = new PlanHappeningsBuilder_1.PlanHappeningsBuilder(epsilon);
        planBuilder.tryParseFile(fileText);
        happeningsInfo.setHappenings(planBuilder.getHappenings());
        happeningsInfo.addProblems(planBuilder.getParsingProblems());
        planBuilder.validateOpenQueueIsEmpty();
        return happeningsInfo;
    }
}
exports.HappeningsParser = HappeningsParser;
//# sourceMappingURL=HappeningsParser.js.map