import { PlanStep } from "../PlanStep";
import { PddlPlanBuilder } from "./PddlPlanBuilder";
import { PddlPlanParser } from "./PddlPlanParser";
/** Parsers the plan lines, offsets the times (by epsilon, if applicable) and returns the lines normalized. */
export declare class NormalizingPddlPlanParser {
    private epsilon;
    private makespan;
    private timeOffset;
    private firstLineParsed;
    constructor(epsilon: number);
    /**
     * Parses and normalizes the plan text (typically for plan comparison).
     * If the plan starts at time zero, it is shifted to time `epsilon`.
     *
     * @param origText original plan text
     * @param endl platform-specific end-line characters
     */
    normalize(origText: string, endl: string): string;
    protected normalizeLine(line: string, lineIdx: number, planParser: PddlPlanParser, planBuilder: PddlPlanBuilder): PlanStep | undefined;
}
