import { Plan } from '../Plan';
import { PlanStep } from '../PlanStep';
import { ProblemInfo } from '../ProblemInfo';
import { DomainInfo } from '../DomainInfo';
/**
 * Utility for incremental plan building as it is being parsed.
 */
export declare class PddlPlanBuilder {
    readonly epsilon: number;
    private statesEvaluated;
    private metric;
    private steps;
    outputText: string;
    parsingPlan: boolean;
    private makespan;
    constructor(epsilon: number);
    add(step: PlanStep): void;
    getSteps(): PlanStep[];
    build(domain: DomainInfo, problem: ProblemInfo): Plan;
    getMakespan(): number;
    setMakespan(makespan: number): void;
    getMetric(): number | undefined;
    setMetric(metric: number): void;
    getStatesEvaluated(): number | undefined;
    setStatesEvaluated(statesEvaluated: number): void;
}
