import { PlanInfo } from '../PlanInfo';
import { PddlPlanBuilder } from './PddlPlanBuilder';
import { DocumentPositionResolver } from '../DocumentPositionResolver';
import { URI } from 'vscode-uri';
import { PlanStep } from '../PlanStep';
export declare const UNSPECIFIED_PROBLEM = "unspecified";
export declare const UNSPECIFIED_DOMAIN = "unspecified";
export interface PlanMetaData {
    readonly domainName: string;
    readonly problemName: string;
}
export declare class PddlPlanParser {
    private readonly planStepPattern;
    private readonly planStatesEvaluatedPattern;
    private readonly planMetricPattern;
    static parsePlanMeta(fileText: string): PlanMetaData;
    static getPlanMeta(domainName: string, problemName: string, endl: string): string;
    parseText(planText: string, epsilon?: number, fileUri?: URI, fileVersion?: number, positionResolver?: DocumentPositionResolver): PlanInfo;
    private tryParseLine;
    /**
     * Parses one line from the plan
     * @param planLine line of text from the plan file
     * @param lineIndex index of the line being parsed
     */
    parse(planLine: string, lineIndex: number | undefined, planBuilder: PddlPlanBuilder): PlanStep | undefined;
    parsePlanQuality(planLine: string, planBuilder: PddlPlanBuilder): void;
}
