import { PddlSyntaxNode } from "./PddlSyntaxNode";
/** Represents a syntax tree of a PDDL document. */
export declare class PddlSyntaxTree {
    private root;
    static readonly EMPTY: PddlSyntaxTree;
    constructor();
    getRootNode(): PddlSyntaxNode;
    /**
     * Finds the node at given index in the document text.
     * @param symbolIndex index in the document text, where the node is located
     */
    getNodeAt(symbolIndex: number): PddlSyntaxNode;
    private getChildNodeAt;
    getDefineNode(): PddlSyntaxNode;
    getDefineNodeOrThrow(): PddlSyntaxNode;
}
