import { PddlToken } from "./PddlTokenizer";
import { PddlSyntaxTree } from "./PddlSyntaxTree";
/** Builds a syntax tree from PDDL syntax tokens. */
export declare class PddlSyntaxTreeBuilder {
    private symbolIndex?;
    /** syntax tree */
    private tree;
    /** most recently added node */
    private currentLeaf;
    private offendingTokens;
    constructor(pddlText: string, symbolIndex?: number | undefined);
    getBreadcrumbs(symbolIndex: number | undefined): PddlToken[];
    getTree(): PddlSyntaxTree;
    getOffendingTokens(): PddlToken[];
    getTreeAsString(): string;
    private getNodeAsString;
    private indent;
    private onToken;
    private closeCurrentSibling;
    private addChild;
    private isInLeafOfType;
    private inLeaf;
    private closeBracket;
    private closeKeyword;
    private closeSibling;
}
