import { ParsingProblem } from "../FileInfo";
import { Happening } from "../HappeningsInfo";
/**
 * Builds the list of happenings while validating the sequence.
 */
export declare class PlanHappeningsBuilder {
    private epsilon;
    private happenings;
    private parsingProblems;
    makespan: number;
    private openActions;
    constructor(epsilon: number);
    happeningPattern: RegExp;
    whiteSpacePattern: RegExp;
    tryParseFile(fileText: string): void;
    isWhiteSpace(planLine: string): boolean;
    tryParse(planLine: string, lineIndex: number | undefined): void;
    /**
     * Parses single line of plan text.
     * @param planLine line of plan text
     * @param lineIndex line number
     */
    parse(planLine: string, lineIndex: number | undefined): Happening | undefined;
    add(happening: Happening): void;
    validateOpenQueueIsEmpty(): void;
    getHappenings(): Happening[];
    getMakespan(): number;
    getParsingProblems(): ParsingProblem[];
    private parseType;
}
