import { PddlSyntaxNode } from "./PddlSyntaxNode";
import { Variable, Parameter } from "../language";
import { DocumentPositionResolver } from "../DocumentPositionResolver";
export declare function parseParameters(fullSymbolName: string): Parameter[];
/** Parses the `:predicates` and `:functions` section. */
export declare class VariablesParser {
    private positionResolver;
    private variables;
    chunks: PddlSyntaxNode[][];
    currentVariableNodes: PddlSyntaxNode[];
    variableNodeEncountered: boolean;
    consecutiveVerticalWhitespaceCount: number;
    constructor(predicatesNode: PddlSyntaxNode, positionResolver: DocumentPositionResolver);
    private chunkByVerticalWhitespace;
    private processChunk;
    createVariable(node: PddlSyntaxNode, documentation: string[]): Variable;
    private addCurrentVariableChunkAndReset;
    /** Resets the current variable chunk */
    private reset;
    static isVerticalWhitespace(node: PddlSyntaxNode): boolean;
    getVariables(): Variable[];
}
