/* --------------------------------------------------------------------------------------------
 * Copyright (c) Jan Dolejsi. All rights reserved.
 * Licensed under the MIT License. See License.txt in the project root for license information.
 * ------------------------------------------------------------------------------------------ */
'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
exports.Planner = void 0;
/**
 * Abstract base class for all planners.
 */
class Planner {
    constructor(plannerPath, plannerConfiguration, providerConfiguration) {
        this.plannerPath = plannerPath;
        this.plannerConfiguration = plannerConfiguration;
        this.providerConfiguration = providerConfiguration;
        this._planningProcessKilled = false;
    }
    /** `true` if the planning run was stopped */
    get planningProcessKilled() {
        return this._planningProcessKilled;
    }
    get requiresKeyboardInput() {
        var _a;
        return (_a = this.plannerConfiguration.requiresKeyboardInput) !== null && _a !== void 0 ? _a : false;
    }
    /** `true` if the planner supports search debugger call-backs */
    get supportsSearchDebugger() {
        var _a;
        return (_a = this.plannerConfiguration.supportsSearchDebugger) !== null && _a !== void 0 ? _a : true;
    }
    stop() {
        this._planningProcessKilled = true;
    }
}
exports.Planner = Planner;
//# sourceMappingURL=Planner.js.map