/// <reference types="node" />
import * as fs from 'fs';
/**
 * Creates directory (optionally recursively)
 * @param path path for the directory to create
 * @param options `fs.mkdir` options
 */
export declare function mkdirIfDoesNotExist(path: fs.PathLike, options: fs.MakeDirectoryOptions | undefined | null | number | string): Promise<void>;
/**
 * All files in the this and its sub-directories.
 * @param dir starting directory
 * @returns file name array with absolute path
 */
export declare function getFiles(dir: string): Promise<string[]>;
/**
 * Determines whether the directory is empty i.e. contains any files or sub-directories.
 * @param directory directory to test
 */
export declare function isEmpty(directory: string): Promise<boolean>;
export declare function exists(path: fs.PathLike): Promise<boolean>;
