"use strict";
/* --------------------------------------------------------------------------------------------
 * Copyright (c) Jan Dolejsi. All rights reserved.
 * Licensed under the MIT License. See License.txt in the project root for license information.
 * ------------------------------------------------------------------------------------------ */
Object.defineProperty(exports, "__esModule", { value: true });
exports.CatalogEntryKind = exports.Problem = exports.Domain = exports.Collection = void 0;
class Collection {
    constructor(id, name, description, domainIds) {
        this.id = id;
        this.domainIds = domainIds;
        this.kind = CatalogEntryKind.Collection;
        this.label = name;
        this.tooltip = description;
    }
}
exports.Collection = Collection;
class Domain {
    constructor(id, name, description) {
        this.id = id;
        this.kind = CatalogEntryKind.Domain;
        this.label = name;
        this.tooltip = description;
    }
}
exports.Domain = Domain;
class Problem {
    constructor(id, name, domain_url, problem_url) {
        this.id = id;
        this.domain_url = domain_url;
        this.problem_url = problem_url;
        this.kind = CatalogEntryKind.Problem;
        this.label = name;
        this.tooltip = '';
    }
}
exports.Problem = Problem;
var CatalogEntryKind;
(function (CatalogEntryKind) {
    CatalogEntryKind[CatalogEntryKind["Collection"] = 0] = "Collection";
    CatalogEntryKind[CatalogEntryKind["Domain"] = 1] = "Domain";
    CatalogEntryKind[CatalogEntryKind["Problem"] = 2] = "Problem";
})(CatalogEntryKind = exports.CatalogEntryKind || (exports.CatalogEntryKind = {}));
//# sourceMappingURL=CatalogEntry.js.map