/* --------------------------------------------------------------------------------------------
 * Copyright (c) Jan Dolejsi. All rights reserved.
 * Licensed under the MIT License. See License.txt in the project root for license information.
 * ------------------------------------------------------------------------------------------ */
'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
exports.ContextDelegate = void 0;
const Delegate_1 = require("./Delegate");
class ContextDelegate extends Delegate_1.Delegate {
    constructor(context) {
        super();
        this.context = context;
    }
    enclose(snippetText) {
        let enclosingStart = '';
        let enclosingEnd = '';
        if (this.context.triggerCharacter !== "(") {
            enclosingStart = '(';
            enclosingEnd = ')';
        }
        return enclosingStart + snippetText + enclosingEnd;
    }
}
exports.ContextDelegate = ContextDelegate;
//# sourceMappingURL=ContextDelegate.js.map