/* --------------------------------------------------------------------------------------------
 * Copyright (c) Jan Dolejsi. All rights reserved.
 * Licensed under the MIT License. See License.txt in the project root for license information.
 * ------------------------------------------------------------------------------------------ */
'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
exports.ExtensionInfo = void 0;
const vscode_1 = require("vscode");
class ExtensionInfo {
    constructor(extensionId = ExtensionInfo.EXTENSION_ID) {
        const extension = vscode_1.extensions.getExtension(extensionId);
        if (extension === undefined) {
            throw new Error('Extension not found: ' + ExtensionInfo.EXTENSION_ID);
        }
        this.extensionId = extension.id;
        this.extensionVersion = extension.packageJSON.version;
    }
    getId() {
        return this.extensionId;
    }
    getVersion() {
        return this.extensionVersion;
    }
}
exports.ExtensionInfo = ExtensionInfo;
ExtensionInfo.EXTENSION_ID = "jan-dolejsi.pddl";
//# sourceMappingURL=ExtensionInfo.js.map