/* --------------------------------------------------------------------------------------------
 * Copyright (c) Jan Dolejsi 2019. All rights reserved.
 * Licensed under the MIT License. See License.txt in the project root for license information.
 * ------------------------------------------------------------------------------------------ */
'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
exports.BaseViewPanel = void 0;
/**
 * Base class for domain/problem view panels.
 */
class BaseViewPanel {
    constructor(uri, panel) {
        this.uri = uri;
        this.panel = panel;
    }
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    async postMessage(command, payload) {
        // eslint-disable-next-line @typescript-eslint/no-explicit-any
        const message = { command: command };
        Object.keys(payload).forEach(key => message[key] = payload[key]);
        return this.panel.postMessage(message);
    }
}
exports.BaseViewPanel = BaseViewPanel;
//# sourceMappingURL=BaseViewPanel.js.map