/* --------------------------------------------------------------------------------------------
 * Copyright (c) Jan Dolejsi. All rights reserved.
 * Licensed under the MIT License. See License.txt in the project root for license information.
 * ------------------------------------------------------------------------------------------ */
'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
exports.CodeDocumentPositionResolver = void 0;
const pddl_workspace_1 = require("pddl-workspace");
class CodeDocumentPositionResolver extends pddl_workspace_1.DocumentPositionResolver {
    constructor(document) {
        super();
        this.document = document;
    }
    resolveToPosition(offset) {
        const documentPosition = this.document.positionAt(offset);
        return new pddl_workspace_1.PddlPosition(documentPosition.line, documentPosition.character);
    }
}
exports.CodeDocumentPositionResolver = CodeDocumentPositionResolver;
//# sourceMappingURL=CodeDocumentPositionResolver.js.map